Bug 1562346 - Unneeded/wrong repository used in the sahara-image-elements script for RHEL image
Summary: Unneeded/wrong repository used in the sahara-image-elements script for RHEL i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: sahara-image-elements
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Telles Nobrega
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On: 1562344
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-30 09:31 UTC by Luigi Toscano
Modified: 2018-08-20 12:53 UTC (History)
3 users (show)

Fixed In Version: sahara-image-elements-7.0.2-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1562344
Environment:
Last Closed: 2018-08-20 12:53:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2519 None None None 2018-08-20 12:53:41 UTC

Description Luigi Toscano 2018-03-30 09:31:39 UTC
+++ This bug was initially created as a clone of Bug #1562344 +++

Description of problem:
The build script sahara-image-elements register the images to few repositories. One of those seems to be not needed anymore from 12 onwards, and when available it causes issues because one of the packages (openstack-selinux) depends on an additional package which is in a available only in rhel-7-server-extras-rpms.
On the other side, openstack-selinux is not needed on the hadoop images (it is skipped if not available), so instead of adding rhel-7-server-extras-rpms, I would remove rhel-7-server-openstack-11-rpms from diskimage-create.sh
(and probably make it possible to override REG_REPOS).

Version-Release number of selected component (if applicable):
sahara-image-elements-7.0.1-1.el7ost.noarch.rpm  

Workaround:
sed -i 's/ rhel-7-server-openstack-11-rpms//' /usr/bin/diskimage-create.sh

Comment 4 Luigi Toscano 2018-07-17 16:06:13 UTC
The extra repository is not used anymore when sahara-image-create is called.

Verified on:
sahara-image-elements.noarch 1:7.0.2-1.el7ost
diskimage-builder-2.9.0-2.8f02569.el7ost.noarch
dib-utils-0.0.11-1.el7ost.noarch

Comment 6 errata-xmlrpc 2018-08-20 12:53:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2519


Note You need to log in before you can comment on or make changes to this bug.